Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class ConfiguracionEvaluacionDbHelper
    Inherits DbHelper(Of ConfiguracionEvaluacion,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListConfiguracionEvaluacionByFactor(ByVal idFactor as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of ConfiguracionEvaluacion)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idFactor = idFactor
        Return QueryObject.ExecuteList()
    End Function

    Public Function GetListConfiguracionEvaluacionByPlaza(ByVal idPlaza as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of ConfiguracionEvaluacion)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idPlaza = idPlaza
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
